<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/useractionscomponent/actions/continuous/medical/actionburnsewtarget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d5b/a01127_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">actionburnsewtarget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d5b/a01127.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ActionBurnSewTarget.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/da6/a04782.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../db/da6/a04782.html">ActionBurnSewTarget</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/da6/a04782.html#ad679bd22d8f989ea27ef867ccddf3e99">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/da6/a04782.html#ad679bd22d8f989ea27ef867ccddf3e99">ActionCondition</a> ( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> ( player.IsInSafeZone() )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> super.ActionCondition(player, target, item);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>};</div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04782_html"><div class="ttname"><a href="../../db/da6/a04782.html">ActionBurnSewTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5b/a01127_source.html#l00013">actionburnsewtarget.c:14</a></div></div>
<div class="ttc" id="aa04782_html_ad679bd22d8f989ea27ef867ccddf3e99"><div class="ttname"><a href="../../db/da6/a04782.html#ad679bd22d8f989ea27ef867ccddf3e99">ActionBurnSewTarget::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5b/a01127_source.html#l00015">actionburnsewtarget.c:15</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f555e9bea97b25daad793b5356d1a5c2.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_ebe2728bee2d9ca5851343381d237e13.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_7e2044d0e1d37cb67297a39683216021.html">continuous</a></li><li class="navelem"><a class="el" href="../../dir_5ea8fbd1e03dabab513c4ec0c711f52f.html">medical</a></li><li class="navelem"><a class="el" href="../../d9/d5b/a01127.html">actionburnsewtarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
